#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	pyasn1

Summary:	ASN.1 tools for Python
Summary(pl.UTF-8):	Narzędzia ASN.1 dla Pythona
Name:		python-%{module}
Version:	0.1.7
Release:	4
License:	BSD-like
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/p/pyasn1/%{module}-%{version}.tar.gz
# Source0-md5:	2cbd80fcd4c7b1c82180d3d76fee18c8
URL:		http://pyasn1.sourceforge.net/
%if %{with python2}
BuildRequires:	python >= 1:2.5
BuildRequires:	python-distribute
BuildRequires:	python-modules >= 1:2.5
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-distribute
BuildRequires:	python3-modules >= 1:3.3
%endif
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Obsoletes:	python-pyasn1-examples
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project is dedicated to implementation of ASN.1 types (concrete
syntax) and codecs (transfer syntaxes) for Python programming
environment.

%description -l pl.UTF-8
Celem tego projektu jest implementacja typów (konkretnej składni) i
kodowania (składni przesyłania) ASN.1 dla środowiska programowania
Python.

%package -n python3-%{module}
Summary:	ASN.1 tools for Python
Summary(pl.UTF-8):	Narzędzia ASN.1 dla Pythona
Group:		Libraries/Python

%description -n python3-%{module}
This project is dedicated to implementation of ASN.1 types (concrete
syntax) and codecs (transfer syntaxes) for Python programming
environment.

%description -n python3-%{module} -l pl.UTF-8
Celem tego projektu jest implementacja typów (konkretnej składni) i
kodowania (składni przesyłania) ASN.1 dla środowiska programowania
Python.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%{__python} setup.py build --build-base build-2 %{?with_tests:test}
%endif
%if %{with python3}
%{__python3} setup.py build --build-base build-3 %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README THANKS TODO doc/*.html
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/pyasn1-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES LICENSE README THANKS TODO doc/*.html
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/pyasn1-%{version}-py*.egg-info
%endif
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyasn1.git;a=log;h=master

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 472d974
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 874234c
- python 3.5 rebuild
- release 3 (by relup.sh)

* Tue Dec 16 2014 Jakub Bogusz <qboosh@pld-linux.org> e3aa0d7
- no macro in Obsoletes for old package

* Tue Dec 16 2014 Jakub Bogusz <qboosh@pld-linux.org> d6fd38f
- more docs, verbose .egg-infos

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a580b0
- python 3.4
- release 2 (by relup.sh)

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> eee9e68
- Use the more reliable PyPI URL for Source0

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> a798df9
- Python 3 support added, tests enabled

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 97d75d7
- Version: 0.1.7

* Mon Mar 04 2013 Jan Rękorajski <baggins@pld-linux.org> 23d37b5
- release 2 (by relup.sh)

* Sun Jan 29 2012 Adam Gołębiowski <adamg@pld-linux.org> f3a8cb2
- updated to 0.1.2

* Tue Jul 12 2011 Jacek Konieczny <jajcus@pld-linux.org> 693261f
- Version: 0.0.13

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f72141
- release 2

* Wed Oct 08 2008 Jakub Bogusz <qboosh@pld-linux.org> 783e5f9
- python 2.5 for .egg-info
- BR: pythonprov

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> c54cdf4
- updated to 0.0.8a

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d39597
- release 2

* Mon Feb 11 2008 beorn <beorn@pld-linux.org> a61f29f
- Up to 0.0.7a

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5d1902c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6afbe87
- converted to UTF-8

* Sun Feb 05 2006 Jakub Bogusz <qboosh@pld-linux.org> af20669
- pl desc, missing dir

* Fri Feb 03 2006 spider <spider@pld-linux.org> 9a5ce60
- adaptarized

